#
# spec file for package gradio
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gradio
Version:        4.0.1
Release:        1.3
Summary:        GTK3 app for finding and listening to internet radio stations
License:        GPL-3.0+
Group:          Productivity/Multimedia/Sound/Players
Url:            https://github.com/haecker-felix/gradio
Source:         https://github.com/haecker-felix/gradio/archive/v%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.18
BuildRequires:  pkgconfig(vapigen) >= 0.16
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
Gradio is a native GTK application. It lets you browse, search and find radio
stations, as well as listen to them, without needing to use a browser or enter
an internet radio stream URL. The application uses the Community Radio Browser
website for its database backend.

%lang_package

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
# AudioVideo due to https://bugzilla.opensuse.org/show_bug.cgi?id=990956
%suse_update_desktop_file -r gradio GNOME GTK AudioVideo Audio Player

%find_lang %{name}
%fdupes %{buildroot}%{_prefix}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc README.md debian/copyright
%{_bindir}/gradio
%{_datadir}/applications/gradio.desktop
%{_datadir}/gradio/
%{_datadir}/gradio/style/
%dir %{_datadir}/icons/hicolor/14x14/
%dir %{_datadir}/icons/hicolor/14x14/apps
%{_datadir}/icons/hicolor/*/apps/gradio.png
%{_datadir}/pixmaps/gradio.svg
%{_datadir}/glib-2.0/schemas/de.haecker-felix.gradio.gschema.xml

%files lang -f %{name}.lang

%changelog
* Sat Jul 30 2016 mailaender@opensuse.org
- initial packaging of version 4.0.1
